#{extends 'common/frontend/base.html' /}
#{set title:'Dashbord Belanja Pengadaan' /}
<div >
    <h2 class="title-page" style="text-align: center">Profil Belanja Pengadaan</h2>
    <div class="container">
        <div>
            <div id="graphic"></div>
        </div>
    </div>

    <table width="100%" style="padding: 2px;align-items: center">
        <tr bgcolor="#f0f8ff" style="text-decoration: solid;size: 15px" >
            <td style="text-align: center">PEMERINTAH PUSAT</td>
            <td style="text-align: center">PEMERINTAH DAERAH</td>
        </tr>
        <tr>
            <td width="50%"><div id="Chart1" ></div></td>
            <td width="50%"><div id="Chart2" ></div></td>
        </tr>


    </table>
    <table width="100%">
        <tr>
            <td style="text-align: center">% Belanja Pengadaan terhadap Total Belanja</td>
            <td style="text-align: center">% RUP terhadap Belanja Pengadaan</td>
            <td style="text-align: center">% Belanja Pengadaan terhadap Total Belanja</td>
            <td style="text-align: center">% RUP terhadap Belanja Pengadaan</td>
        </tr>
        <tr>
            <td width="25%"><div id="donut1" ></div></td>
            <td width="25%"><div id="donut2" ></div></td>
            <td width="25%"><div id="donut3" ></div></td>
            <td width="25%"><div id="donut4" ></div></td>
        </tr>

    </table>

</div>

#{set 'moreScripts'}
<script type="text/javascript"  src="@{'public/javascripts/d3.min.js'}"></script>
<script type="text/javascript"  src="@{'public/javascripts/Chart.min.js'}"></script>
<script src="https://cdn.jsdelivr.net/npm/apexcharts@latest"></script>

<script>
    var options = {
        chart: {
            height: 350,
            type: 'bar',
            stacked: true,
            stackType: '100%'
        },
        plotOptions: {
            bar: {
                horizontal: true,
            },

        },
        stroke: {
            width: 1,
            colors: ['#fff']
        },
        series: [{
            name: 'Penyedia',
            data: [44, 55, 41, 37, 22]
        },{
            name: 'Penyedia dalam Swakelola',
            data: [12, 17, 11, 9, 15]
        },{
            name: 'Swakelola',
            data: [53, 32, 33, 52, 13]
        }],
        title: {
            text: ''
        },
        xaxis: {
            categories: ['Total', 'Belanja Pengadaan', 'RUP', 'Pemilihan', 'Hasil Pemilihan'],
        },

        tooltip: {
            y: {
                formatter: function(val) {
                    return val + "K"
                }
            }
        },
        fill: {
            opacity: 1,
            type:'gradient'
        },

        legend: {
            position: 'top',
            horizontalAlign: 'left',
            offsetX: 40
        }
    }

    var chart = new ApexCharts(
            document.querySelector("#Chart1"),
            options
    );
    var chart2 = new ApexCharts(
            document.querySelector("#Chart2"),
            options
    );

    chart.render();
    chart2.render();
    options = {
        chart: {
            width: 380,
            type: 'donut',

        },
        dataLabels: {
            enabled: false
        },
        series: [44, 55],


        legend: false,
        fill: {
            type: 'gradient',
            pattern: {
                style: 'verticalLines',
                width: 6,
                height: 6,
                strokeWidth: 2,

            }
        },
        responsive: [{
            breakpoint: 480,
            options: {
                chart: {
                    width: 200
                },
                legend: {
                    position: 'bottom'
                }
            }
        }]

    }

     chart = new ApexCharts(
            document.querySelector("#donut1"),
            options
    );

    chart.render();
    chart = new ApexCharts(
            document.querySelector("#donut2"),
            options
    );

    chart.render();
    chart = new ApexCharts(
            document.querySelector("#donut3"),
            options
    );



    chart.render();
    chart = new ApexCharts(
            document.querySelector("#donut4"),
            options
    );



    chart.render();

    const paper = chart.paper()
</script>

#{/set}